Steam Sign In 14.01.19

Allows users to sign in with their Steam accounts. Please click Settings, after enabling the plugin, to enable displaying the "Sign in through Steam" button.

This plugin allows your Users to register and log in on your forum using their Steam ™ identity. It uses OpenID plugin built-in in Vanilla Forums to communicate with Steam OpenID Server, which takes care of handling User’s credentials.

You can find more free plugins on my website: Free Vanilla Forums plugins.

Note

Vanilla’s OpenID plugin contains a bug. When Users register to the forum passing through Steam (or any OpenID provider who doesn’t return a User Name and an Email address for the User), they are prompted to enter the User Name and Email Address they wish to use on the forum. However, when they do so, the Email address is accidentally deleted before the registration occurs. This results in the error message “Email is required” being displayed to the User and the registration failing.

Unofficial fix for the OpenID plugin issue

Important: this fix is unofficial and it has not been provided by Vanilla Team. Use it at your risk.

Find file class.openid.plugin.php in your Vanilla installation directory.
In the file, find the following code:

$Form->SetFormValue('FullName', GetValue('namePerson/first', $Attr) . ' ' . GetValue('namePerson/last', $Attr));
$Form->SetFormValue('Email', GetValue('contact/email', $Attr));

Replace the code with the following:

if($Form->GetValue('FullName', null) == null) {
$Form->SetFormValue('FullName', GetValue('namePerson/first', $Attr).' '.GetValue('namePerson/last', $Attr));
}
if($Form->GetValue('Email', null) == null) {
$Form->SetFormValue('Email', GetValue('contact/email', $Attr));
}

The new code simply checks if the fields already contain a value before overwriting them. Since they are not empty after the User entered his details, they won’t get overwritten anymore.

Requirements

  • PHP 5.3+
  • Vanilla Forums 2.0.x

Notes

  • Plugin has not been tested with Vanilla 2.1 or later. I cannot guarantee that it will work with such versions.
  • Plugin is provided as is. I won't be able to provide support for it, but I'm sure that the community will be happy to help, in case of need.

License

GPLv3 (http://www.gnu.org/licenses/gpl-3.0.txt)

Questions